com.google.gwt.dom.client

## Class ScriptElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.ScriptElement

-     @TagName(value="script")
      public class ScriptElement
      extends Element

  Script statements.
  See Also:
    W3C HTML Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

    - ### Fields inherited from class com.google.gwt.dom.client.Element

      `DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

    - ### Fields inherited from class com.google.gwt.dom.client.Node

      `DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ScriptElement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScriptElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
    `java.lang.String` | `getDefer()` Indicates that the user agent can defer processing of the script.
    `java.lang.String` | `getSrc()` URI designating an external script.
    `java.lang.String` | `getText()` The script content of the element.
    `java.lang.String` | `getType()` The content type of the script language.
    `static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
    `static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
    `static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
    `void` | `setDefer(java.lang.String defer)` Indicates that the user agent can defer processing of the script.
    `void` | `setSrc(java.lang.String src)` URI designating an external script.
    `void` | `setText(java.lang.String text)` The script content of the element.
    `void` | `setType(java.lang.String type)` The content type of the script language.

    - ### Methods inherited from class com.google.gwt.dom.client.Element

      `addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

    - ### Methods inherited from class com.google.gwt.dom.client.Node

      `appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptElement

          protected ScriptElement()

  - ### Method Detail

    - #### as

          public static ScriptElement as(Element elem)

      Assert that the given `Element` is compatible with this class and automatically typecast it.

    - #### is

          public static boolean is(JavaScriptObject o)

      Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

    - #### is

          public static boolean is(Node node)

      Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### is

          public static boolean is(Element elem)

      Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### getDefer

          public final java.lang.String getDefer()

      Indicates that the user agent can defer processing of the script.
      See Also:
        W3C HTML Specification

    - #### getSrc

          public final java.lang.String getSrc()

      URI designating an external script.
      See Also:
        W3C HTML Specification

    - #### getText

          public final java.lang.String getText()

      The script content of the element.

    - #### getType

          public final java.lang.String getType()

      The content type of the script language.
      See Also:
        W3C HTML Specification

    - #### setDefer

          public final void setDefer(java.lang.String defer)

      Indicates that the user agent can defer processing of the script.
      See Also:
        W3C HTML Specification

    - #### setSrc

          public final void setSrc(java.lang.String src)

      URI designating an external script.
      See Also:
        W3C HTML Specification

    - #### setText

          public final void setText(java.lang.String text)

      The script content of the element.

    - #### setType

          public final void setType(java.lang.String type)

      The content type of the script language.
      See Also:
        W3C HTML Specification